<script setup>
import {UseAppStore} from "@/Stores/AppStore";
import {Link} from "@inertiajs/vue3";
let appStore = UseAppStore();

const toggleThemeSite = () => appStore.toggleThemeSite()
</script>

<template>
    <div class="profile__left">
        <div class="profile__box">
            <div class="profile__line js-openClose-menu">
                <p class="profile__left-title">Профиль</p>
<!--                <div class="profile__line-openClose">-->
<!--                    <div class="profile__line-line"></div>-->
<!--                    <div class="profile__line-line"></div>-->
<!--                </div>-->
            </div>
<!--            <div class="profile__box-content"><a class="profile__box-item active" href="">Основные данные</a></div>-->
        </div>
        <hr class="profile__hr">
        <a class="profile__left-title link" :href="route('support')">Поддержка</a>
        <div class="profile__toggleTheme">
            <p class="profile__left-title mr">Тема сайта</p>
            <div @click="toggleThemeSite" class="profile__toggleTheme-toggle">
                <div class="profile__toggleTheme-toggle--circle"></div>
                <div class="profile__toggleTheme-toggle--background"></div>
            </div>
        </div>
    </div>
</template>
